Skip to content

Uploads a file to a temporary staging location

Request

This method uploads a file to a temporary staging location

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

servicestringrequired

The service that you are posting on behalf of

filenamestringrequired

The name of the file you're attempting to upload

Headers
Content-Typestring
curl -i -X PUT \
  'https://docs.api.rhythmsoftware.com/_mock/apis/platform/platform-v1/fileUploads/staging/{tenantId}/{service}/{filename}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: string'

Responses

The file upload was saved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Content-Lengthstring
Content-Typestring
Datestring
Body*/*
object(Empty Schema)
Response
{}